com.corticon.rulesemf.canonicalvocabularymodel

## Interface CanonicalvocabularymodelFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface CanonicalvocabularymodelFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `CanonicalvocabularymodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CanonicalvocabularymodelFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationEndExtension` | `createAssociationEndExtension()` Returns a new object of class 'Association End Extension'
    `AttributeExtension` | `createAttributeExtension()` Returns a new object of class 'Attribute Extension'
    `CustomDataType` | `createCustomDataType()` Returns a new object of class 'Custom Data Type'
    `DatabaseAccess` | `createDatabaseAccess()` Returns a new object of class 'Database Access'
    `DatabaseLookupProperties` | `createDatabaseLookupProperties()` Returns a new object of class 'Database Lookup Properties'
    `DatabaseProperty` | `createDatabaseProperty()` Returns a new object of class 'Database Property'
    `DataTypeMapping` | `createDataTypeMapping()` Returns a new object of class 'Data Type Mapping'
    `DomainExtension` | `createDomainExtension()` Returns a new object of class 'Domain Extension'
    `EntityExtension` | `createEntityExtension()` Returns a new object of class 'Entity Extension'
    `EntityMapping` | `createEntityMapping()` Returns a new object of class 'Entity Mapping'
    `EnumerationElement` | `createEnumerationElement()` Returns a new object of class 'Enumeration Element'
    `ExtendedPersistentAttributes` | `createExtendedPersistentAttributes()` Returns a new object of class 'Extended Persistent Attributes'
    `NamedExtension` | `createNamedExtension()` Returns a new object of class 'Named Extension'
    `RootExtension` | `createRootExtension()` Returns a new object of class 'Root Extension'
    `VocabularyBoolean` | `createVocabularyBoolean()` Returns a new object of class 'Vocabulary Boolean'
    `VocabularyDataType` | `createVocabularyDataType()` Returns a new object of class 'Vocabulary Data Type'
    `VocabularyExpression` | `createVocabularyExpression()` Returns a new object of class 'Vocabulary Expression'
    `VocabularyProperty` | `createVocabularyProperty()` Returns a new object of class 'Vocabulary Property'
    `VocabularyString` | `createVocabularyString()` Returns a new object of class 'Vocabulary String'
    `VocabularyValueSet` | `createVocabularyValueSet()` Returns a new object of class 'Vocabulary Value Set'
    `CanonicalvocabularymodelPackage` | `getCanonicalvocabularymodelPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final CanonicalvocabularymodelFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createAssociationEndExtension

          AssociationEndExtension createAssociationEndExtension()

      Returns a new object of class 'Association End Extension'.
      Returns:
        a new object of class 'Association End Extension'.

    - #### createAttributeExtension

          AttributeExtension createAttributeExtension()

      Returns a new object of class 'Attribute Extension'.
      Returns:
        a new object of class 'Attribute Extension'.

    - #### createEntityExtension

          EntityExtension createEntityExtension()

      Returns a new object of class 'Entity Extension'.
      Returns:
        a new object of class 'Entity Extension'.

    - #### createRootExtension

          RootExtension createRootExtension()

      Returns a new object of class 'Root Extension'.
      Returns:
        a new object of class 'Root Extension'.

    - #### createVocabularyProperty

          VocabularyProperty createVocabularyProperty()

      Returns a new object of class 'Vocabulary Property'.
      Returns:
        a new object of class 'Vocabulary Property'.

    - #### createVocabularyString

          VocabularyString createVocabularyString()

      Returns a new object of class 'Vocabulary String'.
      Returns:
        a new object of class 'Vocabulary String'.

    - #### createVocabularyBoolean

          VocabularyBoolean createVocabularyBoolean()

      Returns a new object of class 'Vocabulary Boolean'.
      Returns:
        a new object of class 'Vocabulary Boolean'.

    - #### createVocabularyValueSet

          VocabularyValueSet createVocabularyValueSet()

      Returns a new object of class 'Vocabulary Value Set'.
      Returns:
        a new object of class 'Vocabulary Value Set'.

    - #### createDomainExtension

          DomainExtension createDomainExtension()

      Returns a new object of class 'Domain Extension'.
      Returns:
        a new object of class 'Domain Extension'.

    - #### createDatabaseAccess

          DatabaseAccess createDatabaseAccess()

      Returns a new object of class 'Database Access'.
      Returns:
        a new object of class 'Database Access'.

    - #### createDatabaseProperty

          DatabaseProperty createDatabaseProperty()

      Returns a new object of class 'Database Property'.
      Returns:
        a new object of class 'Database Property'.

    - #### createCustomDataType

          CustomDataType createCustomDataType()

      Returns a new object of class 'Custom Data Type'.
      Returns:
        a new object of class 'Custom Data Type'.

    - #### createNamedExtension

          NamedExtension createNamedExtension()

      Returns a new object of class 'Named Extension'.
      Returns:
        a new object of class 'Named Extension'.

    - #### createVocabularyExpression

          VocabularyExpression createVocabularyExpression()

      Returns a new object of class 'Vocabulary Expression'.
      Returns:
        a new object of class 'Vocabulary Expression'.

    - #### createDatabaseLookupProperties

          DatabaseLookupProperties createDatabaseLookupProperties()

      Returns a new object of class 'Database Lookup Properties'.
      Returns:
        a new object of class 'Database Lookup Properties'.

    - #### createEnumerationElement

          EnumerationElement createEnumerationElement()

      Returns a new object of class 'Enumeration Element'.
      Returns:
        a new object of class 'Enumeration Element'.

    - #### createExtendedPersistentAttributes

          ExtendedPersistentAttributes createExtendedPersistentAttributes()

      Returns a new object of class 'Extended Persistent Attributes'.
      Returns:
        a new object of class 'Extended Persistent Attributes'.

    - #### createEntityMapping

          EntityMapping createEntityMapping()

      Returns a new object of class 'Entity Mapping'.
      Returns:
        a new object of class 'Entity Mapping'.

    - #### createDataTypeMapping

          DataTypeMapping createDataTypeMapping()

      Returns a new object of class 'Data Type Mapping'.
      Returns:
        a new object of class 'Data Type Mapping'.

    - #### createVocabularyDataType

          VocabularyDataType createVocabularyDataType()

      Returns a new object of class 'Vocabulary Data Type'.
      Returns:
        a new object of class 'Vocabulary Data Type'.

    - #### getCanonicalvocabularymodelPackage

          CanonicalvocabularymodelPackage getCanonicalvocabularymodelPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.